curl --request PUT \
--url https://{subdomain}.outseta.com/api/v1/attribute/tags/{tagUid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Name": "Billing and payments",
"TagColor": 8
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/attribute/tags/{tagUid}"
payload = {
"Name": "Billing and payments",
"TagColor": 8
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Name: 'Billing and payments', TagColor: 8})
};
fetch('https://{subdomain}.outseta.com/api/v1/attribute/tags/{tagUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"SystemName": "string",
"SystemDescription": "string",
"TagColor": 1,
"EntityType": 0
}Update a tag.
Use this to rename a tag or to change its color. EntityType cannot be changed after the tag is created. Name must stay unique within the entity type. SystemName and SystemDescription are set by Outseta and cannot be changed.
Authorizations
Enter your access token (OAuth / JWT).
Path Parameters
The tag's unique identifier
Body
The tag's updated values
1 - 5010505001 - Red, 2 - Orange, 3 - Amber, 4 - Green, 5 - Teal, 6 - Blue, 7 - Indigo, 8 - Purple, 9 - Pink, 10 - Gray
1, 2, 3, 4, 5, 6, 7, 8, 9, 10 0 - None, 1 - Account, 2 - Person, 3 - Deal, 4 - Case, 5 - Invoice, 6 - EmailLog, 7 - Plan, 8 - DiscountCoupon, 9 - AddOn, 10 - Task, 11 - Segment, 12 - Broadcast, 13 - Article
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 Response
111 - 5010505001 - Red, 2 - Orange, 3 - Amber, 4 - Green, 5 - Teal, 6 - Blue, 7 - Indigo, 8 - Purple, 9 - Pink, 10 - Gray
1, 2, 3, 4, 5, 6, 7, 8, 9, 10 0 - None, 1 - Account, 2 - Person, 3 - Deal, 4 - Case, 5 - Invoice, 6 - EmailLog, 7 - Plan, 8 - DiscountCoupon, 9 - AddOn, 10 - Task, 11 - Segment, 12 - Broadcast, 13 - Article
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13